FSFREEZE(8)

NOM
fsfreeze - Suspendre l'accès à un système de fichiers (ext3/4, ReiserFS, JFS, XFS)

SYNOPSIS

fsfreeze --freeze|--unfreeze point_de_montage

DESCRIPTION

fsfreeze suspend ou reprend l’accès à un système de fichiers.

fsfreeze arrête les nouveaux accès au système de fichiers et crée une image stable sur le disque. fsfreeze est conçu pour être utilisé avec des périphériques RAID matériels qui permettent la création d’instantanés.

fsfreeze n’est pas nécessaire aux périphériques device-mapper. Le device-mapper (et LVM) gèle automatiquement un système de fichiers du périphérique quand la création d’un instantané est demandée. Pour plus de précisions, consultez la page de manuel dmsetup(8).

Le paramètre point_de_montage est le chemin du répertoire où le système de fichiers est monté. Le système de fichiers doit être monté pour être gelé (consultez mount(8)).

Remarquez que les mises à jour des dates d’accès sont aussi suspendues si le système de fichiers est monté avec le comportement atime traditionnel (option de montage strictatime, consultez mount(8) pour plus de précisions).

OPTIONS

-f, --freeze
    This option requests the specified filesystem to be frozen from new modifications. When this is selected, all ongoing transactions in the filesystem are allowed to complete, new write(2) system calls are halted, other calls which modify the filesystem are halted, and all dirty data, metadata, and log information are written to disk. Any process attempting to write to the frozen filesystem will block waiting for the filesystem to be unfrozen.

    Remarquez que même après le gel, le système de fichiers sur le disque peut contenir des renseignements sur des fichiers qui sont encore en cours de destruction (unlink). Ces fichiers ne seront pas détruits avant que le système de fichiers ne soit dégelé ou qu’un montage propre de l’instantané ne soit terminé.

-u, --unfreeze
    Cette option sert à dégeler le système de fichiers et permettre aux opérations de se poursuivre. Toutes les modifications de système de fichiers qui étaient bloquées par le gel sont débloquées et ont le droit de se terminer.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

PRISE EN CHARGE DE SYSTÈME DE FICHIERS

Cette commande ne fonctionnera que si une prise en charge du gel est prévue pour le système de fichiers. La liste de ces systèmes de fichiers comprend (2016-12-18) btrfs, ext2/3/4, f2fs, jfs, nilfs2, reiserfs et xfs. Cette liste peut être incomplète car de plus en plus de systèmes de fichiers assurent une prise en charge. En cas de doute, la façon la plus facile de le savoir est de créer un petit montage en loopback et tenter de le geler.

NOTES

Cette page de manuel est basée sur xfs_freeze(8).

AUTEURS

Écrit par Hajime Taira.

VOIR AUSSI

mount(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande fsfreeze fait partie du paquet util-linux, elle est disponible sur